V1RewardsSearch
Search and page through published reward campaigns
Query Parameters
q?string
Length
length <= 80Default
""cursor?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlimit?integer
Range
1 <= value <= 50Default
20Response Body
application/json
curl -X GET "https://example.com/v1/rewards/search"{ "availablePoints": null, "campaigns": [ { "pointsCost": 0, "category": "clinic", "canRedeemForWeek": false, "kind": "product", "eligibility": "signup", "signupWithinDays": 30, "usesPerMember": 1, "usesPeriod": "total", "benefit": { "type": "free" }, "exclusions": "", "outletIds": [], "catalogItemId": null, "redemptionOutlets": [], "catalogItemTitle": null, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "merchantTenantId": "6f45c064-68ad-43e0-92dc-fa8655333cff", "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c", "title": "string", "summary": "string", "rules": "string", "deliveryKind": "physical_gift", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "redeemBy": "2019-08-24T14:15:22Z", "timezone": "string", "reservationTtlSeconds": 1, "requiresVerifiedIdentity": true, "imagePath": "string", "claimPolicy": "per_merchant", "claimRestricted": true, "eligibilityRestricted": true, "merchantName": "string", "limitBasis": "account", "availableStock": 0, "availability": "upcoming", "ownClaim": { "pointsSpent": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf", "deliveryKind": "physical_gift", "status": "reserved", "reservedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "redeemedAt": "2019-08-24T14:15:22Z" }, "usesRemaining": 0 } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}Your private append-only reward points history GET
Previous Page
Booth scanner: what this link is and whether this device is unlocked POST
Header x-medbuk-scan-link carries the link token (never a URL) and x-medbuk-scan-device the optional device secret. Only the merchant web app's signed connection may call it.